Get help requests for a tenant

GET /internal/admin/comms/v1/help/request

Operation id: get__internal_admin_comms_v1_help_request

Description

This API retrieves help requests for a specified tenant and site with pagination support.

Below is the map of status codes and what they represent:

  • 1 - Quota Met
  • 3 - Escalated
  • 4 - Stopped
  • 5 - No Ring
  • 6 - Completed By Escalation

Tags: Assistant

Parameters

Query parameters

NameTypeRequiredDescription
pageintegerNopage number for returned records
page_sizeintegerNonumber of records to return per page.
site_namestringYesSite Name of the request
tenant_idstringYesTenant ID of the request originator

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Help requests retrieved successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — Help requests retrieved successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
helpRequestsarrayNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "helpRequests": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64"
          },
          "initiatorLogin": {
            "type": "string"
          },
          "quota": {
            "type": "integer",
            "format": "int16"
          },
          "destination": {
            "type": "string"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "targetList": {
            "type": "object"
          },
          "notificationType": {
            "type": "string",
            "description": "Voice - 0, UI - 1"
          }
        }
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}